Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class MBeanInfo

    java.lang.Object
      javax.management.MBeanInfo

All Implemented Interfaces:
  Cloneable, Serializable

Direct Known Subclasses:
  ModelMBeanInfoSupport, OpenMBeanInfoSupport

public class MBeanInfo
extends Object
implements Cloneable, Serializable

Describes an MBeans' management interface. This implementation protects its immutability by taking shallow clones of all arrays supplied in constructors and by returning shallow array clones in getXXX() methods.

Version:
  $Revision: 1.13 $

  Revisions:

  20020711 Adrian Brock:

  - Serialization
Author:
  Juha Lindfors., Trevor Squires., Adrian Brock
See Also:
  `MBeanServer`, Serialized Form

Constructor Summary
`MBeanInfo(String className, String description, MBeanAttributeInfo[] attributes, MBeanConstructorInfo[] constructors, MBeanOperationInfo[] operations, MBeanNotificationInfo[] notifications)`

Method Summary
`Object` | `clone()`
`boolean` | `equals(Object object)`
`MBeanAttributeInfo[]` | `getAttributes()`
`String` | `getClassName()`
`MBeanConstructorInfo[]` | `getConstructors()`
`String` | `getDescription()`
`MBeanNotificationInfo[]` | `getNotifications()`
`MBeanOperationInfo[]` | `getOperations()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MBeanInfo

    public MBeanInfo(String className,
                     String description,
                     MBeanAttributeInfo[] attributes,
                     MBeanConstructorInfo[] constructors,
                     MBeanOperationInfo[] operations,
                     MBeanNotificationInfo[] notifications)
              throws IllegalArgumentException

Method Detail

### getClassName

    public String getClassName()

### getDescription

    public String getDescription()

### getAttributes

    public MBeanAttributeInfo[] getAttributes()

### getOperations

    public MBeanOperationInfo[] getOperations()

### getConstructors

    public MBeanConstructorInfo[] getConstructors()

### getNotifications

    public MBeanNotificationInfo[] getNotifications()

### equals

    public boolean equals(Object object)

### hashCode

    public int hashCode()

### toString

    public String toString()

  Returns:
    a human readable string

### clone

    public Object clone()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.